cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/rental_asset_profiles/RENTAL_ASSET_PROFILE_ID" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"rental_asset_profile": {
"display_name": "Standard daily rate, weekdays"
}
}'from exsited import build_client
client = build_client()
response = client.rental_assets.update_rental_asset_profile(
"RENTAL_ASSET_PROFILE_ID",
{"rental_asset_profile": {"display_name": "Standard daily rate, weekdays"}},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.rentalAssets.updateRentalAssetProfile('RENTAL_ASSET_PROFILE_ID', {
rental_asset_profile: {display_name: 'Standard daily rate, weekdays'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->rentalAssets->updateRentalAssetProfile('RENTAL_ASSET_PROFILE_ID', [
'rental_asset_profile' => ['display_name' => 'Standard daily rate, weekdays'],
]);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.rentalAssets().updateRentalAssetProfile(
"RENTAL_ASSET_PROFILE_ID",
Map.of("rental_asset_profile", Map.of("display_name", "Standard daily rate, weekdays")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.RentalAssets.UpdateRentalAssetProfileAsync(
"RENTAL_ASSET_PROFILE_ID",
new Dictionary<string, object?>
{
["rental_asset_profile"] = new Dictionary<string, object?>
{
["display_name"] = "Standard daily rate, weekdays",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.rentalAssets.updateRentalAssetProfile(
'RENTAL_ASSET_PROFILE_ID',
{
'rental_asset_profile': {'display_name': 'Standard daily rate, weekdays'},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.RentalAssets().UpdateRentalAssetProfile(context.Background(), "RENTAL_ASSET_PROFILE_ID", map[string]any{
"rental_asset_profile": map[string]any{
"display_name": "Standard daily rate, weekdays",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Rental assets
Update a rental asset profile
Changes a rental asset profile.
PATCH
/
rental_asset_profiles
/
{rental_asset_profile_id}
cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/rental_asset_profiles/RENTAL_ASSET_PROFILE_ID" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"rental_asset_profile": {
"display_name": "Standard daily rate, weekdays"
}
}'from exsited import build_client
client = build_client()
response = client.rental_assets.update_rental_asset_profile(
"RENTAL_ASSET_PROFILE_ID",
{"rental_asset_profile": {"display_name": "Standard daily rate, weekdays"}},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.rentalAssets.updateRentalAssetProfile('RENTAL_ASSET_PROFILE_ID', {
rental_asset_profile: {display_name: 'Standard daily rate, weekdays'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->rentalAssets->updateRentalAssetProfile('RENTAL_ASSET_PROFILE_ID', [
'rental_asset_profile' => ['display_name' => 'Standard daily rate, weekdays'],
]);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.rentalAssets().updateRentalAssetProfile(
"RENTAL_ASSET_PROFILE_ID",
Map.of("rental_asset_profile", Map.of("display_name", "Standard daily rate, weekdays")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.RentalAssets.UpdateRentalAssetProfileAsync(
"RENTAL_ASSET_PROFILE_ID",
new Dictionary<string, object?>
{
["rental_asset_profile"] = new Dictionary<string, object?>
{
["display_name"] = "Standard daily rate, weekdays",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.rentalAssets.updateRentalAssetProfile(
'RENTAL_ASSET_PROFILE_ID',
{
'rental_asset_profile': {'display_name': 'Standard daily rate, weekdays'},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.RentalAssets().UpdateRentalAssetProfile(context.Background(), "RENTAL_ASSET_PROFILE_ID", map[string]any{
"rental_asset_profile": map[string]any{
"display_name": "Standard daily rate, weekdays",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Send the fields to change under
rental_asset_profile, such as display_name. Read the profile afterwards to see the stored values.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The rental asset profile's id.
Body
application/json
Show child attributes
Show child attributes
Response
200
The profile is updated.